## org.apache.lucene.queries.function.valuesource
Class MultiFunction.Values

    java.lang.Object
      org.apache.lucene.queries.function.FunctionValues
          org.apache.lucene.queries.function.valuesource.MultiFunction.Values

Enclosing class:
  MultiFunction

    public class MultiFunction.Values

extends FunctionValues

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues
`FunctionValues.ValueFiller`

Constructor Summary
`MultiFunction.Values(FunctionValues[] valsArr)`

Method Summary
`FunctionValues.ValueFiller` `getValueFiller()`
`String` `toString(int doc)`

Methods inherited from class org.apache.lucene.queries.function.FunctionValues
`boolVal, bytesVal, byteVal, byteVal, doubleVal, doubleVal, exists, explain, floatVal, floatVal, getRangeScorer, getScorer, intVal, intVal, longVal, longVal, numOrd, objectVal, ordVal, shortVal, shortVal, strVal, strVal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiFunction.Values

    public MultiFunction.Values(FunctionValues[] valsArr)

Method Detail

### toString

    public String toString(int doc)

  Specified by:
    `toString` in class `FunctionValues`

### getValueFiller

    public FunctionValues.ValueFiller getValueFiller()

  Overrides:
    `getValueFiller` in class `FunctionValues`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.